with Common;

package Prime is

   --  this package contains a remote type, which can be
   --+ used to create dynamically bound calls dispatched
   --+ in accord with the remote access-to-class-wide type
   --+ of their controlling parameter

   pragma Remote_Types;
   type New_Pool_Type is new Common.Pool_Type with null record;

   --  dynamically bound dispatching call
   procedure Test_Primarity
     (Pool    : access New_Pool_Type;
      Number  : in     Natural);

end Prime;
