with Common; use Common;
package Results is

   pragma Remote_Call_Interface;
   --  this pragma turns the subprograms in this unit
   --+ into RPC for which stubs (proxies) will be built
   --+ and copied to the caller's side
   --+
   --+ note that none of the subprograms in this unit
   --+ allows dispatching calls

   procedure Save
     (Divider : in Natural;
      Where   : in Partition_ID);
   pragma Asynchronous (Save);
   --  pragma Asynchronous can be applied to remote subprograms
   --+ directly (not just to in parameters)

   procedure Load_When_Ready
     (Divider : out Natural;
      Where   : out Partition_ID);

end Results;

